Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
mankubus

Why gzDoom doesnt autoupdate?

Recommended Posts

eDuke32 checks for updates on every launch yet I have to manually check if there are new updates for Gzdoom, download it and place the wad files on the new folder or overwritte the new files with the former folder and hope it works. Annoying.

Share this post


Link to post
9 hours ago, mankubus said:

eDuke32 checks for updates on every launch yet I have to manually check if there are new updates for Gzdoom, download it and place the wad files on the new folder or overwritte the new files with the former folder and hope it works. Annoying.

Because GZ does not have an autoupdater.

 

Why hope that it works? If there is a major change, read the changelog.

 

This is but a minor nuissance, really.

Share this post


Link to post

Because it doesn't serve much purpose, and can cause more issues than it solves between major updates.

 

Not difficult to download it manually from the site.

Share this post


Link to post

Seriously, even EDuke32 tells you can download new "Synthesis (dev.) builds", you would still have to go EDuke32/Dukeworld site and download them(also the functions seems never works on my end so already disabled for long time.

 

So just like others said, go the site and check if has update or not.

Share this post


Link to post

Yeah, just check up on it every couple of months or so for an update. Maybe follow the developer(s) pages if they're on the forums or on other social media as well.

Share this post


Link to post

Please no. Compatibility with some maps sometimes breaks between versions and there's always new bugs. In the case of DOOM WADs in particular, you want to stick to a version that's known to work with that WAD; there's just too much history attached and that's very unlike most other modern software!

Share this post


Link to post

Yeah, the short version is "it would cause more screaming than profit".

 

One reason is indeed is the version incompatibility part; consider "GZDoom updated and broke my favourite mod / my savegames / etc" situations.

 

Other factor is that some people in the Doom community are very hardcore about privacy and raise hell on earth forums against any kind of "calling to the mothership".

 

When Graf added the "would you allow sending your hardware information to the server? yes/no" Steam-like survey, the amount of screaming was near unbelievable, including not trusting that clicking "no, don't" will obey and not send anything.

 

Those same people would react even worse to autoupdater checking on launch / daily / weekly / whatever.

Share this post


Link to post

I honestly don't remember a time when unpacking the (G)ZDoom zip over the existing install wouldn't work.  On exceptionally rare occasions the ini settings won't transfer over properly for some reason, but an auto updater won't fix that.

7 hours ago, wrkq said:

GZDoom updated and broke my favourite mod

For the record, we'd actually welcome this screaming.  Usually permanent breaks in mods are because no one screamed soon enough.  Everything has exceptions of course.

 

Hard save game breaks are fairly uncommon but they do happen so agreed there though.

Share this post


Link to post
29 minutes ago, Blzut3 said:

For the record, we'd actually welcome this screaming.

 

Oh, sure.

But it's a difference between "I downloaded an update [because I wanted to], this broke" and "it autoupdated and now it's broken!" or "You told me to update in a popup, and now it's broken!". Human psychology is funny like that regarding blame...

Share this post


Link to post

Better not self-update! See if you are passing a megawad and suddenly you cannot load saved games because it is another version of GZDoom xDDDDDDDDDDDDDDDD

Share this post


Link to post

Yeah, please don't auto update. I've been using an older version lately since the latest official version (4.4.2) has been giving me issues. The border images look larger for some reason; sometimes monsters blink/disappear (very odd), the "show endgame text" option doesn't work ect. I wouldn't want GZDoom to auto update to a new version that has more issues than an older one.

 

Also saves don't work with other versions (as far as i know).

Share this post


Link to post

A lot of the potential headaches mentioned could be avoided if the auto-update function was optional, and when running for the first time prompted the user to decide whether or not they want to enable that functionality.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×